### Function

# GLib log_remove_handler

#### Declaration

    void
    g_log_remove_handler (
      const gchar* log_domain,
      guint handler_id
    )

#### Description

Removes the log handler.

This has no effect if structured logging is enabled; see Using Structured Logging.

#### Parameters

`log_domain`

  Type: `const gchar*`

  The log domain.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`handler_id`

  Type: `guint`

  The ID of the handler, which was returned in `g_log_set_handler()`.